A Sandcastle Documented Class Library

# OptionsWindow Class
Interaction logic for OptionsWindow.xaml

Interaction logic for OptionsWindow.xaml
OptionsWindow
Inheritance Hierarchy
System
Object
System.Windows.Threading
DispatcherObject
System.Windows
DependencyObject
System.Windows.Media
Visual
System.Windows
UIElement
System.Windows
FrameworkElement
System.Windows.Controls
Control
System.Windows.Controls
ContentControl
System.Windows
Window
butterflow_ui
OptionsWindow

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.1.0.42906 (1.0.0.0)
Syntax
C#
Copy

    public class OptionsWindow : Window,
    	IComponentConnector

The OptionsWindow type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| OptionsWindow | Default constructor.

Top
Properties

| Name | Description
--- | --- | ---
| ButterflowWrapper | The butterflow wrapper used to call butterflow.
| SupportedLanguages | Gets or sets the supported languages.

Top
Methods

| Name | Description
--- | --- | ---
| btnSave_Click | Event handler. Called by btnSave for click events.
| ButterflowWrapper_ButterflowExited | Butterflow wrapper butterflow exited.
| InitializeComponent | InitializeComponent

Top
Fields

| Name | Description
--- | --- | ---
| _contentLoaded |
| btnSave |
| chkUseDefaultDevice |
| comboDeviceList |

Top
See Also

#### Reference

butterflow_ui Namespace